[expected-failures]
piglit.shaders.arb_texture_gather-miplevels
piglit.shaders.point-vertex-id
piglit.spec.!opengl 1_0.gl-1.0-edgeflag-quads
piglit.spec.!opengl 1_1.draw-pixel-with-texture
piglit.spec.!opengl 1_1.linestipple
piglit.spec.!opengl 2_0.vs-point_size-zero
piglit.spec.arb_framebuffer_object.fbo-attachments-blit-scaled-linear
piglit.spec.arb_framebuffer_object.fbo-blit-scaled-linear
piglit.spec.arb_shader_texture_lod.execution.arb_shader_texture_lod-texgradcube
piglit.spec.arb_texture_gather.texturegatherfs-rgb-one-uint-cube
piglit.spec.arb_texture_rg.texwrap formats-int bordercolor
piglit.spec.arb_texture_rg.texwrap formats-int bordercolor-swizzled
piglit.spec.arb_texture_rgb10_a2ui.texwrap formats bordercolor
piglit.spec.arb_texture_rgb10_a2ui.texwrap formats bordercolor-swizzled
piglit.spec.egl_khr_create_context.valid debug flag gles1
piglit.spec.egl_khr_create_context.valid debug flag gles2
piglit.spec.egl_khr_create_context.valid debug flag gles3
piglit.spec.egl_khr_create_context.valid forward-compatible flag gl
piglit.spec.ext_texture_integer.texwrap formats bordercolor
piglit.spec.ext_texture_integer.texwrap formats bordercolor-swizzled
piglit.spec.ext_transform_feedback.tessellation triangle_fan flat_first
piglit.spec.glsl-1_10.execution.vs-float-main-return
piglit.spec.glsl-1_10.execution.vs-vec2-main-return
piglit.spec.glsl-1_30.compiler.clipping.clip-distance-redeclare-without-inout.frag
piglit.spec.glsl-1_30.compiler.clipping.clip-distance-redeclare-without-inout.vert
piglit.spec.glsl-1_40.execution.texturesize.fs-texturesize-isamplerbuffer
piglit.spec.glsl-1_40.execution.texturesize.fs-texturesize-samplerbuffer
piglit.spec.glsl-1_40.execution.texturesize.fs-texturesize-usamplerbuffer
piglit.spec.glsl-1_40.execution.texturesize.vs-texturesize-isamplerbuffer
piglit.spec.glsl-1_40.execution.texturesize.vs-texturesize-samplerbuffer
piglit.spec.glsl-1_40.execution.texturesize.vs-texturesize-usamplerbuffer
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_lines other
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_lines_adjacency other
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_line_loop ffs
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_line_loop other
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_line_strip other
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_line_strip_adjacency other
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_points other
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_triangles other
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_triangles_adjacency other
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_triangle_fan ffs
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_triangle_fan other
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_triangle_strip other
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_triangle_strip_adjacency other
piglit.spec.glsl-1_50.execution.geometry.primitive-types gl_triangle_strip_adjacency
piglit.spec.glsl-1_50.execution.geometry.tri-strip-ordering-with-prim-restart gl_triangle_strip ffs
piglit.spec.glsl-1_50.execution.geometry.tri-strip-ordering-with-prim-restart gl_triangle_strip other
piglit.spec.glsl-1_50.execution.geometry.tri-strip-ordering-with-prim-restart gl_triangle_strip_adjacency ffs
piglit.spec.glsl-1_50.execution.geometry.tri-strip-ordering-with-prim-restart gl_triangle_strip_adjacency other
piglit.spec.glsl-1_50.execution.texturesize.gs-texturesize-isamplerbuffer
piglit.spec.glsl-1_50.execution.texturesize.gs-texturesize-samplerbuffer
piglit.spec.glsl-1_50.execution.texturesize.gs-texturesize-usamplerbuffer
piglit.shaders.glsl-deriv-varyings = piglit cd62eff8e5925efa56778d7a103402e96d19a794
piglit.spec.ext_texture_compression_s3tc.texwrap formats offset = piglit_d05448d06fdbfa0f0e11cdf6142f09e73c7b6dea
piglit.spec.ext_texture_compression_rgtc.texwrap formats offset = piglit_d05448d06fdbfa0f0e11cdf6142f09e73c7b6dea
piglit.spec.ext_texture_srgb.texwrap formats-s3tc offset = piglit_d05448d06fdbfa0f0e11cdf6142f09e73c7b6dea
piglit.spec.arb_texture_compression.texwrap formats offset = piglit_d05448d06fdbfa0f0e11cdf6142f09e73c7b6dea
piglit.spec.!opengl 1_2.texwrap 3d offset = piglit 1367a0a
piglit.spec.!opengl 1_1.texwrap 1d offset = piglit 1367a0a
piglit.spec.arb_texture_rectangle.texwrap rect offset = piglit 1367a0a
piglit.spec.arb_shader_subroutine.linker.no-overloads.vert = mesa 80511d1
piglit.spec.glsl-es-3_10.compiler.helper-invocation.frag = piglit 2331db9
piglit.spec.arb_program_interface_query.arb_program_interface_query-getprogramresourceindex = mesa 6e3b380
piglit.spec.arb_separate_shader_objects.execution.layout-location-block = piglit f858b00
piglit.object namespace pollution.program with gldrawpixels = piglit e19e572
piglit.spec.arb_internalformat_query.misc. api error checks = mesa 4f028bf
piglit.spec.!opengl 1_0.gl-1.0-simple-readbuffer = piglit b9cdade
piglit.spec.arb_enhanced_layouts.preprocessor.disabled-defined-core.frag = piglit 5d88991
piglit.spec.oes_texture_storage_multisample_2d_array.preprocessor.disabled-undefined-es.frag = piglit 5d88991
piglit.spec.oes_texture_storage_multisample_2d_array.preprocessor.disabled-undefined-es.vert = piglit 5d88991
piglit.spec.arb_enhanced_layouts.preprocessor.disabled-defined-core.vert = piglit 5d88991
piglit.spec.oes_texture_storage_multisample_2d_array.preprocessor.disabled-defined-es.vert = piglit 5d88991
piglit.spec.arb_fragment_layer_viewport.preprocessor.disabled-defined-compat.frag = piglit 5d88991
piglit.spec.arb_enhanced_layouts.preprocessor.disabled-defined-core.geom = piglit 5d88991
piglit.spec.arb_fragment_layer_viewport.preprocessor.disabled-undefined-compat.vert = piglit 5d88991
piglit.spec.arb_fragment_layer_viewport.preprocessor.disabled-defined-compat.vert = piglit 5d88991
piglit.spec.oes_texture_storage_multisample_2d_array.preprocessor.disabled-defined-es.frag = piglit 5d88991
piglit.spec.arb_fragment_layer_viewport.preprocessor.disabled-undefined-compat.frag = piglit 5d88991
piglit.spec.glsl-1_10.compiler.literals.invalid-float-suffix-capital-f.vert = mesa bdaa0e1
piglit.spec.glsl-1_10.compiler.literals.invalid-float-suffix-f.vert = mesa bdaa0e1
piglit.spec.!opengl 3_2.gl-3.2-adj-prims cull-back pv-first = piglit 67db7e2
piglit.spec.!opengl 3_2.gl-3.2-adj-prims line cull-front pv-last = piglit 67db7e2
piglit.spec.!opengl 3_2.gl-3.2-adj-prims cull-front pv-last = piglit 67db7e2
piglit.spec.!opengl 3_2.gl-3.2-adj-prims cull-back pv-last = piglit 67db7e2
piglit.spec.!opengl 3_2.gl-3.2-adj-prims line cull-back pv-first = piglit 67db7e2
piglit.spec.!opengl 3_2.gl-3.2-adj-prims line cull-front pv-first = piglit 67db7e2
piglit.spec.!opengl 3_2.gl-3.2-adj-prims pv-last = piglit 67db7e2
piglit.spec.!opengl 3_2.gl-3.2-adj-prims cull-front pv-first = piglit 67db7e2
piglit.spec.!opengl 3_2.gl-3.2-adj-prims line cull-back pv-last = piglit 67db7e2
piglit.spec.ext_framebuffer_blit.fbo-srgb-blit = mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.!opengl 3_2.gl-3_2-adj-prims cull-back pv-last = piglit 09459ca
piglit.spec.!opengl 3_2.gl-3_2-adj-prims cull-front pv-first = piglit 09459ca
piglit.spec.!opengl 3_2.gl-3_2-adj-prims line cull-front pv-first = piglit 09459ca
piglit.spec.!opengl 3_2.gl-3_2-adj-prims cull-front pv-last = piglit 09459ca
piglit.spec.!opengl 1_0.gl-1_0-edgeflag-quads = piglit 09459ca
piglit.spec.!opengl 3_2.gl-3_2-adj-prims line cull-back pv-first = piglit 09459ca
piglit.spec.!opengl 3_2.gl-3_2-adj-prims line cull-front pv-last = piglit 09459ca
piglit.spec.!opengl 3_2.gl-3_2-adj-prims line cull-back pv-last = piglit 09459ca
piglit.spec.!opengl 3_2.gl-3_2-adj-prims pv-last = piglit 09459ca
piglit.spec.!opengl 3_2.gl-3_2-adj-prims cull-back pv-first = piglit 09459ca
piglit.spec.arb_texture_gather.texturegather.fs-r-one-float-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-float-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-float-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-float-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-int-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-int-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-int-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-int-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-uint-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-uint-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-uint-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-uint-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-unorm-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-unorm-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-unorm-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-one-unorm-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-float-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-float-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-float-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-float-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-int-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-int-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-int-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-int-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-uint-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-uint-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-uint-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-uint-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-unorm-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-unorm-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-unorm-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.fs-r-red-unorm-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-float-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-float-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-float-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-float-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-int-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-int-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-int-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-int-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-uint-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-uint-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-uint-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-uint-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-unorm-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-unorm-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-unorm-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-one-unorm-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-float-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-float-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-float-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-float-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-int-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-int-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-int-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-int-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-uint-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-uint-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-uint-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-uint-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-unorm-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-unorm-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-unorm-cube = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegather.vs-r-red-unorm-cubearray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-one-float-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-one-float-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-one-int-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-one-int-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-one-uint-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-one-uint-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-one-unorm-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-one-unorm-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-red-float-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-red-float-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-red-int-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-red-int-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-red-uint-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-red-uint-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-red-unorm-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.fs-r-red-unorm-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-one-float-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-one-float-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-one-int-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-one-int-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-one-uint-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-one-uint-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-one-unorm-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-one-unorm-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-red-float-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-red-float-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-red-int-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-red-int-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-red-uint-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-red-uint-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-red-unorm-2d = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.arb_texture_gather.texturegatheroffset.vs-r-red-unorm-2darray = piglit a76e2db38179a7923745b4f9b15fd94198e8cfab
piglit.spec.!opengl es 3_0.gles-3_0-transform-feedback-uniform-buffer-object = piglit d0b975aa50246515828e4687bc812ccf8010f33d
piglit.spec.!opengl 3_2.gl-3_2-adj-prims pv-first = piglit 03ba28ba3f107e2cc4a2e88dc84776515f98faa8
piglit.spec.ext_packed_float.query-rgba-signed-components = piglit 318e0b8c5cdf7aac628f85d0c4a00db8f2d6ab0d
piglit.spec.glsl-1_50.execution.geometry.primitive-types gl_line_loop = piglit c6e98fa118e8e927335886cdd2c2431da83bd63d
piglit.spec.glsl-1_50.execution.geometry.primitive-types gl_triangle_strip = piglit c6e98fa118e8e927335886cdd2c2431da83bd63d
piglit.shaders.glsl-vs-absolutedifference-int = piglit 975fd8853a71db461e9e4e50eb592402df6bcc67
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-intel_external_sampler_with_dma_only = mesa a5c39ed974402c6a40d51c6189547d1f29581fbe
piglit.vulkan.glsl450.reflect-double = piglit b84a94113eea238cd6eb8753899f177a3095587a
piglit.vulkan.glsl450.face-forward-double = piglit b84a94113eea238cd6eb8753899f177a3095587a
piglit.vulkan.glsl450.frexp-double = piglit b84a94113eea238cd6eb8753899f177a3095587a
piglit.vulkan.shaders.fs-large-local-array-vec4 = piglit b84a94113eea238cd6eb8753899f177a3095587a
piglit.vulkan.shaders.fs-large-local-array-vec3 = piglit b84a94113eea238cd6eb8753899f177a3095587a
piglit.vulkan.shaders.fs-large-local-array-vec2 = piglit b84a94113eea238cd6eb8753899f177a3095587a
piglit.vulkan.glsl450.refract-double = piglit b84a94113eea238cd6eb8753899f177a3095587a
piglit.vulkan.shaders.fs-large-local-array = piglit b84a94113eea238cd6eb8753899f177a3095587a
piglit.vulkan.shaders.fs-multiple-large-local-array = piglit b84a94113eea238cd6eb8753899f177a3095587a
piglit.vulkan.glsl450.isinf-double = piglit b84a94113eea238cd6eb8753899f177a3095587a
piglit.spec.amd_texture_texture4.execution.texture4 = piglit 54655b02a5a2a1bd72f424e0332e98d8b1e68c24
piglit.spec.arb_texture_multisample.arb_texture_multisample-dsa-texelfetch = piglit af7b83d3aa7bf37f8bc94eb7a5394a0a15306a58
piglit.spec.glsl-1_20.compiler.invalid-vec4-array-to-vec3-array-conversion_vert = piglit 99627d28c53df03bfa6f6a474a3db59724d69725
piglit.vulkan.shaders.gs-vertex-overflow = piglit e6a7a7c8b424b41abd70f032214187cfd281d75a
piglit.vulkan.shaders.gs-double-interpolator = piglit 0044b67bad7c4b6079d6d52f27e0faa123f2e914
piglit.spec.ext_texture_integer.fbo-integer = mesa fa4d981f6f9fdb9a8d91568f08e5ce813ca76b62
piglit.spec.!opengl 1_0.rasterpos = piglit a24b0dbdbc4df9771d3ab0bc382f7b9c29b5e7b5
piglit.spec.intel_performance_query.intel_performance_query-issue_2235 = piglit c85fad35569a09c11edff0f921aad9c5a34d63b7
piglit.spec.ext_shader_integer_mix.execution.glsl-vs-absolutedifference-int = piglit e7e3665cc436a0cce35e3e50885b6a75c0850f3b
piglit.spec.arb_texture_gather.execution.miplevels = piglit e7e3665cc436a0cce35e3e50885b6a75c0850f3b

[expected-crashes]
piglit.spec.!opengl 1_0.gl-1.0-front-invalidate-back
piglit.spec.!opengl 1_0.gl-1.0-swapbuffers-behavior
piglit.spec.!opengl 1_1.drawbuffer-modes
piglit.spec.!opengl 1_1.read-front
piglit.spec.!opengl 1_1.read-front clear-front-first
piglit.spec.!opengl 1_1.read-front clear-front-first samples.2
piglit.spec.!opengl 1_1.read-front clear-front-first samples.4
piglit.spec.!opengl 1_1.read-front samples.2
piglit.spec.!opengl 1_1.read-front samples.4
piglit.spec.!opengl 3_0.gl30basic
piglit.spec.ext_framebuffer_blit.fbo-sys-blit
piglit.spec.ext_framebuffer_blit.fbo-sys-sub-blit
piglit.spec.egl 1_4.eglcreatepbuffersurface with egl_samples set = piglit 30ace24
piglit.spec.!opengl 1_0.gl-1_0-front-invalidate-back = piglit 09459ca
piglit.spec.!opengl 1_1.masked-clear = piglit e9664264fa82055efae23d653f774febc87c5463
piglit.spec.!opengl 1_0.gl-1_0-drawbuffer-modes = piglit 75ba8aea0e6eff0bc30821df9640ee4053dd98b6
piglit.spec.!opengl 1_0.gl-1_0-swapbuffers-behavior = mesa 880573e7370b866c94513f59ad0bb0b10660643f
piglit.fast_color_clear.fcc-front-buffer-distraction = mesa 880573e7370b866c94513f59ad0bb0b10660643f
piglit.spec.egl 1_4.egl-copy-buffers = piglit 85e3b32b3260184853ec20b938574c26a0f39dd8
piglit.spec.ext_framebuffer_blit.fbo-blit-check-limits = piglit a845f4691106bb490e58a0e0fa96b92306c3e12c
piglit.spec.egl_ext_device_base.conformance = mesa d6edccee8da38d4802020d5aa4d9e11bb7aae801

[fixed-tests]
piglit.spec.arb_occlusion_query.occlusion_query_meta_save = mesa bb77745681e179b53ea64da7bc1987b57643b7b0
piglit.spec.!opengl 1_1.teximage-scale-bias = mesa a2299bfbbd6ed96ea4b529f90005d0242dbfeac0
piglit.spec.arb_pipeline_statistics_query.arb_pipeline_statistics_query-geom = piglit 845ba0e mesa 2a06728
piglit.spec.arb_occlusion_query2.api = mesa 0c47e54
piglit.spec.ext_texture_snorm.fbo-blending-formats = mesa 546aba143d13ba3f993ead4cc30b2404abfc0202
piglit.spec.ext_texture_snorm.fbo-clear-formats = mesa 546aba143d13ba3f993ead4cc30b2404abfc0202
piglit.shaders.glsl-fs-unsigned-comparison-negative-zero = mesa 1e128e9
piglit.shaders.glsl-opt-0-cmp-xy = mesa b43bbfa90ace596c8b2e0b3954a5f69924726c59
piglit.spec.glsl-1_50.execution.fragcoord-layout-qualifiers-conflicting-case-7 = piglit 0433467 mesa d820831
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureproj 3d = piglit 181c26495634ba1a5603b4b75c47e2dee7c97c0f
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojlodoffset 3d = piglit 181c26495634ba1a5603b4b75c47e2dee7c97c0f
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojlod 3d = piglit 181c26495634ba1a5603b4b75c47e2dee7c97c0f
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureproj(bias) 3d = piglit 181c26495634ba1a5603b4b75c47e2dee7c97c0f
piglit.spec.arb_shader_texture_lod.execution.tex-miplevel-selection *projlod 3d = piglit 181c26495634ba1a5603b4b75c47e2dee7c97c0f
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojoffset 3d = piglit 181c26495634ba1a5603b4b75c47e2dee7c97c0f
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojoffset(bias) 3d = piglit 181c26495634ba1a5603b4b75c47e2dee7c97c0f
piglit.spec.glsl-1_20.execution.tex-miplevel-selection gl2.textureproj(bias) 3d = piglit 181c26495634ba1a5603b4b75c47e2dee7c97c0f
piglit.spec.glsl-1_20.execution.tex-miplevel-selection gl2.textureproj 3d = piglit 181c26495634ba1a5603b4b75c47e2dee7c97c0f
piglit.spec.glsl-1_50.compiler.interface-block-uniform-read-only.frag = mesa 2cb149c2894679c5c7af81b40277f77cc0fb099d
piglit.spec.glsl-1_50.compiler.interface-block-input-read-only.frag = mesa 2cb149c2894679c5c7af81b40277f77cc0fb099d
piglit.spec.glsl-1_50.compiler.interface-block-instance-name-input-read-only.frag = mesa 2cb149c2894679c5c7af81b40277f77cc0fb099d
piglit.spec.glsl-1_50.compiler.interface-block-instance-name-uniform-read-only.frag = mesa 2cb149c2894679c5c7af81b40277f77cc0fb099d
piglit.spec.glsl-1_20.linker.intrastage-const-arrays = mesa 3cf99701ba6c9e56c9126fdbb74107a31ffcbcfb
piglit.spec.glsl-1_10.execution.samplers.in-parameter-struct-array = mesa baa22c8825133a69fd0657f09d2a027236233eb1
piglit.spec.glsl-1_10.execution.fs-frontfacing-ternary-vec4-neg-1.0-1.0 = mesa d47405eb707b9921f70454049677a9d504ee3fa6
piglit.spec.arb_pipeline_statistics_query.arb_pipeline_statistics_query-vert_adj = piglit 845ba0e
piglit.spec.!opengl 1_0.gl-1.0-drawpixels-color-index = mesa 96142a3
piglit.spec.!opengl 1_1.line-aa-width = mesa 24ecf37ac070bd3c49b8e1146abe47ab24134191
piglit.spec.!opengl 1_1.line-flat-clip-color = mesa 28090b30dd6b5977de085f48c620574214b6b4ba
piglit.spec.!opengl 3_2.get-active-attrib-returns-all-inputs = mesa 3706e5dbc96aa9cc29c58dad661aa10f20574503
piglit.spec.!opengl 1_1.user-clip = piglit d4904692a62c73a0fbeb2aa509cb5b36a53df907
piglit.spec.arb_fragment_program.fp-formats = piglit 0ddb8a6216bcd54989c1c5126d6ff2d0b0a74990
piglit.shaders.glsl-getactiveuniform-count. glsl-getactiveuniform-mvp = mesa_87a4bc5
piglit.shaders.glsl-getactiveuniform-count. glsl-getactiveuniform-ftransform = mesa_87a4bc5
piglit.shaders.glsl-fs-ivec4-mat3 = mesa 5b61cb12366f65a5d7e21b47fa3501a03fd884ee
piglit.shaders.glsl-fs-vec4-mat3 = mesa 5b61cb12366f65a5d7e21b47fa3501a03fd884ee
piglit.shaders.glsl-fs-vec4-mat2 = mesa 5b61cb12366f65a5d7e21b47fa3501a03fd884ee
piglit.shaders.getuniform-03 = mesa 5b61cb12366f65a5d7e21b47fa3501a03fd884ee
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegrad cubeshadow = mesa 2b1cdb0
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegrad cube = mesa 2b1cdb0
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegrad cubearray = mesa 2b1cdb0
piglit.spec.arb_shader_texture_lod.execution.tex-miplevel-selection *gradarb cube = mesa 2b1cdb0
piglit.spec.!opengl 1_0.gl-1.0-push-no-attribs = mesa 6139195
piglit.spec.ext_framebuffer_multisample.alpha-to-coverage-dual-src-blend 4 = piglit 5eb950c
piglit.spec.ext_framebuffer_multisample.alpha-to-coverage-dual-src-blend 2 = piglit 5eb950c
piglit.spec.glsl-es-1_00.compiler.structure-and-array-operations.sampler-array-index.frag = mesa 9350ea6
piglit.spec.glsl-1_10.execution.void-ternary = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.ext_packed_float.getteximage-invalid-format-for-packed-type = mesa f20cfc5a409b69d5ae3d10a870d90e0b4e493ddf
piglit.spec.arb_direct_state_access.get-textures = mesa f8059c9f3fdd270370737c9eff369eb6d14caa0b
piglit.spec.!opengl 1_1.getteximage-luminance = mesa aa40546b2de4cd572af02d31fd5c7d4045505ea2
piglit.spec.arb_clear_texture.arb_clear_texture-clear-max-level = mesa bafdafa
piglit.spec.glsl-1_10.compiler.void.void-array_subscript.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_30.compiler.void.void-mod.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-logical_xor.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-postfix_increment.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_30.compiler.void.void-unary_not.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_30.compiler.void.void-rshift.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-plus.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-logical_and.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_30.compiler.void.void-lshift.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_30.compiler.void.void-shift_assign.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_30.compiler.void.void-bitwise_and.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_30.compiler.void.void-and_assign.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-field_selection.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-equal.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_30.compiler.void.void-mod_assign.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_30.compiler.void.void-unary_tilde.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-logical_or.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-unary_plus.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-lt.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-plus_assign.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.glsl-1_10.compiler.void.void-prefix_increment.vert = mesa 7b9ebf879b6f35038996805a641667f00d93c4b7
piglit.spec.arb_separate_shader_objects.active sampler conflict = mesa 9214664
piglit.spec.glsl-1_10.compiler.void.void-assignment.vert = piglit d43a534c741c422aa5387449d5e680aeedaf9efa mesa_post_10.6 b9b5162
piglit.spec.arb_blend_func_extended.arb_blend_func_extended-output-location = piglit ef3d665735a41fc3ac906be3d4eae57532e6a0c8 mesa_post_10.6 b9b5162
piglit.spec.arb_texture_multisample.arb_texture_multisample-errors = piglit f639ae9 mesa d3ace603a97bdd031bdff7517728eff4d0fd6458
piglit.spec.!opengl 3_2.layered-rendering.framebuffertexture = piglit b4b8c87
piglit.spec.glsl-1_10.execution.dependency-hints.exp2 = mesa bbf8291
piglit.spec.arb_shader_subroutine.linker.no-mutual-recursion.vert = mesa bbf8291
piglit.shaders.point-vertex-id gl_vertexid gl_instanceid divisor = mesa 3a1ab23
piglit.shaders.point-vertex-id gl_instanceid divisor = mesa 3a1ab23
piglit.shaders.point-vertex-id gl_vertexid gl_instanceid = mesa 3a1ab23
piglit.shaders.point-vertex-id gl_vertexid divisor = mesa 3a1ab23
piglit.shaders.point-vertex-id gl_vertexid = mesa 3a1ab23
piglit.shaders.point-vertex-id gl_instanceid = mesa 3a1ab23
piglit.spec.arb_texture_storage.attach-before = piglit 8ce0593 mesa_post_10.6 b9b5162
piglit.spec.ext_texture_compression_s3tc.getteximage-targets 2d s3tc = mesa 73e5adc
piglit.spec.ext_texture_srgb.texwrap formats-s3tc bordercolor = mesa 73e5adc
piglit.spec.ext_texture_srgb.texwrap formats-s3tc bordercolor-swizzled = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.s3tc-teximage = mesa 73e5adc
piglit.spec.!opengl 1_2.copyteximage 3d samples.2 = mesa 73e5adc
piglit.spec.!opengl 1_2.copyteximage 3d samples.4 = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.compressedteximage gl_compressed_rgba_s3tc_dxt1_ext = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.getteximage-targets 2d_array s3tc = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.compressedteximage gl_compressed_rgb_s3tc_dxt1_ext = mesa 73e5adc
piglit.spec.ext_texture_compression_rgtc.compressedteximage gl_compressed_red_rgtc1_ext = mesa 73e5adc
piglit.spec.ext_texture_compression_rgtc.texwrap formats bordercolor-swizzled = mesa 73e5adc
piglit.spec.arb_pixel_buffer_object.texsubimage pbo = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.compressedteximage gl_compressed_srgb_alpha_s3tc_dxt5_ext = mesa 73e5adc
piglit.spec.ext_texture_array.copyteximage 2d_array samples.2 = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.compressedteximage gl_compressed_srgb_s3tc_dxt1_ext = mesa 73e5adc
piglit.spec.arb_texture_cube_map_array.fbo-generatemipmap-cubemap array s3tc_dxt1 = mesa 73e5adc
piglit.spec.ext_texture_array.fbo-generatemipmap-array s3tc_dxt1 = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.compressedteximage gl_compressed_srgb_alpha_s3tc_dxt1_ext = mesa 73e5adc
piglit.spec.ext_texture_compression_rgtc.texwrap formats bordercolor = mesa 73e5adc
piglit.spec.arb_texture_compression.texwrap formats bordercolor-swizzled = mesa 73e5adc
piglit.spec.3dfx_texture_compression_fxt1.compressedteximage gl_compressed_rgb_fxt1_3dfx = mesa 73e5adc
piglit.spec.arb_texture_rg.texture-rg = mesa 73e5adc
piglit.spec.!opengl 1_2.copyteximage 3d = mesa 73e5adc
piglit.spec.ext_texture_array.gen-mipmap = mesa 73e5adc
piglit.spec.arb_texture_compression.texwrap formats = mesa 73e5adc
piglit.spec.arb_framebuffer_object.fbo-generatemipmap-cubemap s3tc_dxt1 = mesa 73e5adc
piglit.spec.arb_texture_compression.texwrap formats bordercolor = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.s3tc-texsubimage = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.compressedteximage gl_compressed_rgba_s3tc_dxt5_ext = mesa 73e5adc
piglit.spec.ext_texture_compression_rgtc.rgtc-teximage-01 = mesa 73e5adc
piglit.spec.ext_texture_array.copyteximage 2d_array samples.4 = mesa 73e5adc
piglit.spec.ext_texture_srgb.texwrap formats-s3tc = mesa 73e5adc
piglit.spec.ext_texture_compression_rgtc.compressedteximage gl_compressed_signed_red_green_rgtc2_ext = mesa 73e5adc
piglit.spec.ext_texture_compression_rgtc.texwrap formats = mesa 73e5adc
piglit.spec.3dfx_texture_compression_fxt1.compressedteximage gl_compressed_rgba_fxt1_3dfx = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.getteximage-targets cube_array s3tc = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.gen-compressed-teximage = mesa 73e5adc
piglit.spec.ext_texture_compression_rgtc.rgtc-teximage-02 = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.texwrap formats = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.compressedteximage gl_compressed_rgba_s3tc_dxt3_ext = mesa 73e5adc
piglit.spec.!opengl 1_1.texsubimage = mesa 73e5adc
piglit.spec.arb_texture_compression.gl_texture_internal_format query = mesa 73e5adc
piglit.spec.!opengl 1_1.getteximage-formats = mesa 73e5adc
piglit.spec.ext_texture_compression_rgtc.compressedteximage gl_compressed_red_green_rgtc2_ext = mesa 73e5adc
piglit.spec.ext_texture_array.copyteximage 2d_array = mesa 73e5adc
piglit.spec.3dfx_texture_compression_fxt1.fxt1-teximage = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.texwrap formats bordercolor-swizzled = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.texwrap formats bordercolor = mesa 73e5adc
piglit.spec.ext_texture_compression_rgtc.compressedteximage gl_compressed_signed_red_rgtc1_ext = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.compressedteximage gl_compressed_srgb_alpha_s3tc_dxt3_ext = mesa 73e5adc
piglit.spec.ext_texture_compression_s3tc.getteximage-targets cube s3tc = mesa 73e5adc
piglit.spec.arb_direct_state_access.generatetexturemipmap = mesa b9b5162 post 10.6
piglit.spec.ext_texture_integer.ext_texture_integer-texformats = mesa b9b5162 post 10.6
piglit.spec.arb_copy_image.arb_copy_image-format-swizzle = mesa b9b5162 post 10.6
piglit.spec.arb_copy_image.arb_copy_image-api_errors = mesa 200aee4
piglit.spec.arb_uniform_buffer_object.getintegeri_v = mesa e92c35a
piglit.spec.amd_performance_monitor.api = piglit 59a6a42
piglit.spec.!opengl 1_1.max-texture-size = piglit 59a6a42
piglit.spec.arb_program_interface_query.linker.query-varyings = mesa_post_11.0 a8c5c62
piglit.spec.glsl-1_50.compiler.uniform_block.unused-interface-array.vert = mesa_post_11.0 a8c5c62
piglit.spec.arb_direct_state_access.bind-texture-unit = mesa 1c6689bf03fe500cc1bc55d7c2039c0aa3ae095c
piglit.spec.arb_direct_state_access.texunits = piglit d9e3621
piglit.spec.!opengl 1_0.gl-1.0-beginend-coverage = mesa 7d7dd18
piglit.spec.!opengl 2_1.pbo = mesa 7d7dd18
piglit.spec.glsl-es-3_00.compiler.const-initializer.from-sequence.vert = mesa eeb444b
piglit.spec.glsl-es-3_00.compiler.const-initializer.from-sequence-complex.vert = mesa eeb444b
piglit.spec.glsl-1_20.compiler.structure-and-array-operations.array-size-sequence-in-parenthesis.vert = mesa eeb444b
piglit.spec.!opengl 1_1.lineloop = mesa f221580
piglit.spec.arb_copy_image.arb_copy_image-formats = piglit 3ddd90f
piglit.spec.arb_texture_buffer_range.ranges = piglit 9559cb5
piglit.spec.glsl-1_10.execution.varying-packing.simple ivec3 separate = piglit c4c5d9a5025528d99c245154aabf6e9813dca90f
piglit.spec.glsl-1_10.execution.varying-packing.simple ivec3 array = piglit c4c5d9a5025528d99c245154aabf6e9813dca90f
piglit.spec.glsl-1_10.execution.varying-packing.simple uvec3 array = piglit c4c5d9a5025528d99c245154aabf6e9813dca90f
piglit.spec.glsl-1_10.execution.varying-packing.simple uvec3 separate = piglit c4c5d9a5025528d99c245154aabf6e9813dca90f
piglit.spec.arb_shader_subroutine.execution.simple-subroutine = mesa 5f43e074d4a4e74b1238a5687da5d38e53ad4596
piglit.spec.arb_arrays_of_arrays.execution.subroutines.fs-subroutine = mesa 5f43e074d4a4e74b1238a5687da5d38e53ad4596
piglit.spec.arb_shader_subroutine.execution.two-subroutines-nested = mesa 5f43e074d4a4e74b1238a5687da5d38e53ad4596
piglit.spec.glsl-1_20.execution.vs-function-inout-array-self-assignment = mesa 5f43e074d4a4e74b1238a5687da5d38e53ad4596
piglit.spec.arb_shader_subroutine.execution.two-subroutines-2 = mesa 5f43e074d4a4e74b1238a5687da5d38e53ad4596
piglit.spec.arb_shader_subroutine.execution.array-subroutines-nonconst = mesa 5f43e074d4a4e74b1238a5687da5d38e53ad4596
piglit.spec.arb_program_interface_query.arb_program_interface_query-getprogramresourceiv = mesa 5f43e074d4a4e74b1238a5687da5d38e53ad4596
piglit.spec.arb_shader_subroutine.execution.array-subroutines = mesa 5f43e074d4a4e74b1238a5687da5d38e53ad4596
piglit.spec.arb_shader_subroutine.execution.two-subroutines-uniform = mesa 5f43e074d4a4e74b1238a5687da5d38e53ad4596
piglit.spec.arb_shader_subroutine.execution.two-subroutines = mesa 5f43e074d4a4e74b1238a5687da5d38e53ad4596
piglit.spec.ext_framebuffer_blit.fbo-generatemipmap-versus-read_framebuffer = mesa c40a88b6c5a698e5297957e28cccf2ce23820caa
piglit.spec.arb_explicit_uniform_location.compiler.layout-subroutine-index.vert = mesa b109cd3c276e476143ae85fd48d5e43e904291dd
piglit.spec.arb_explicit_uniform_location.compiler.layout-subroutine-location-function.vert = mesa b109cd3c276e476143ae85fd48d5e43e904291dd
piglit.spec.arb_shader_subroutine.compiler.layout-qualifier-index-invalid.vert = mesa b109cd3c276e476143ae85fd48d5e43e904291dd
piglit.spec.arb_separate_shader_objects.compiler.1_50.layout-location.geom = piglit 47f88f7
piglit.spec.arb_texture_rg.multisample-fast-clear gl_arb_texture_rg-int = mesa 2010de4015c96f241e81012b395cb4254091f0bb
piglit.spec.ext_texture_srgb.multisample-fast-clear gl_ext_texture_srgb = mesa 2010de4015c96f241e81012b395cb4254091f0bb
piglit.spec.arb_separate_shader_objects.rendezvous by name with multiple interpolation qualifier = mesa 2ab9cd0
piglit.spec.arb_separate_shader_objects.rendezvous by name = mesa 2ab9cd0
piglit.spec.arb_separate_shader_objects.execution.layout-location-struct-mixed-with-implicitly-assigned-varying = mesa 47dde2b
piglit.spec.arb_separate_shader_objects.mixed explicit and non-explicit locations = mesa 47dde2b
piglit.spec.!opengl 1_1.copyteximage 1d = mesa d6db7ce
piglit.spec.arb_texture_rectangle.copyteximage rect = mesa d6db7ce
piglit.spec.arb_texture_cube_map.copyteximage cube samples.4 = mesa d6db7ce
piglit.spec.arb_texture_cube_map.copyteximage cube samples.2 = mesa d6db7ce
piglit.spec.arb_texture_rectangle.copyteximage rect samples.4 = mesa d6db7ce
piglit.spec.arb_texture_cube_map.copyteximage cube = mesa d6db7ce
piglit.spec.!opengl 1_1.copyteximage 2d = mesa d6db7ce
piglit.spec.arb_texture_rectangle.copyteximage rect samples.2 = mesa d6db7ce
piglit.spec.glsl-1_50.execution.geometry.end-primitive 128 = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.glsl-1_50.execution.geometry.end-primitive 127 = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.glsl-1_50.execution.geometry.end-primitive 130 = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.!opengl 3_2.minmax = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.arb_viewport_array.minmax = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.glsl-1_50.execution.geometry.end-primitive 32 = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.glsl-1_50.execution.geometry.end-primitive 33 = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.!opengl 3_3.minmax = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.glsl-1_50.execution.geometry.end-primitive 129 = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.glsl-1_50.execution.geometry.end-primitive 31 = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.glsl-1_50.execution.geometry.end-primitive 0 = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.glsl-1_50.execution.geometry.end-primitive 34 = mesa 24ea81a4916091f487d132e22aaaaf0e88742d36
piglit.spec.arb_texture_multisample.arb_texture_multisample-sample-depth = mesa 43d23e8
piglit.object namespace pollution.renderbuffer with glgetteximage-compressed = mesa 79d0082
piglit.spec.glsl-1_50.compiler.invariant-qualifier-in-out-block-01.vert = mesa 61ceb36
piglit.spec.!opengl 3_0.clearbuffer-invalid-drawbuffer = piglit 9c1ca9e
piglit.spec.arb_shader_draw_parameters.drawid-vertexid = mesa 8122d21
piglit.object namespace pollution.framebuffer with glgetteximage-compressed = mesa 1a80ca22fef420142d128f98bb3a04a5d9c46bf9
piglit.object namespace pollution.framebuffer with glgeneratemipmap = mesa 1a80ca22fef420142d128f98bb3a04a5d9c46bf9
piglit.spec.glsl-1_20.compiler.scoping-struct-vs-variable.vert = mesa af41c0b
piglit.spec.glsl-es-1_00.compiler.array-sized-by-sequence-in-parenthesis.vert = mesa 43c6f3f82f62f28dc97d195750ba25c88051b64e
piglit.spec.glsl-1_50.execution.interface-blocks-api-access-members = mesa 05ee662
piglit.spec.arb_sample_shading.builtin-gl-sample-mask 0 = mesa d8c8f42
piglit.spec.arb_sample_shading.builtin-gl-sample-mask-simple 0 = mesa d8c8f42
piglit.spec.arb_separate_shader_objects.linker.vs-to-fs-explicit-location-overlap-block = mesa 72b5d00
piglit.spec.arb_separate_shader_objects.linker.vs-to-fs-explicit-location-overlap-struct = mesa 72b5d00
piglit.spec.arb_separate_shader_objects.linker.vs-to-fs-explicit-location-overlap-array = mesa 72b5d00
piglit.spec.arb_separate_shader_objects.linker.vs-to-fs-explicit-location-overlap-arrays-of-arrays = mesa 72b5d00
piglit.object namespace pollution.vertex-array with glclear = mesa f8dd07a
piglit.object namespace pollution.vertex-array with glcleartexsubimage = mesa f8dd07a
piglit.spec.glsl-1_10.execution.vs-vec3-main-return = mesa 32cb7d61a908c519641959158de0a44fd2c8a6e7
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-missing_attributes = piglit 8147ec8
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-intel_external_sampler_only = piglit 8147ec8
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-transcode-nv12-as-r8-gr88 = piglit 8147ec8
piglit.spec.arb_shader_subroutine.compiler.call-subroutine-type-name.frag = mesa 265fe9d
piglit.spec.!opengl 3_0.clearbuffer-mixed-format = piglit 0328453
piglit.shaders.glsl link two programs, global initializer = mesa 9bea018
piglit.spec.glsl-1_50.compiler.interface-blocks-name-reused-globally-4.vert = mesa fb5dcb81cc121e4355b7eef014474a5c42a2f6db
piglit.spec.arb_separate_shader_objects.linker.large-number-of-unused-varyings = mesa 0970c563d6e4a30ab0852ef664dc97a995997f88
piglit.spec.arb_shader_subroutine.compiler.subroutine-param-type-mismatch.vert = mesa 3466db3
piglit.spec.arb_shader_subroutine.compiler.subroutine-return-type-mismatch.vert = mesa 3466db3
piglit.spec.arb_shader_subroutine.compiler.subroutine-type-mismatch.frag = mesa 3466db3
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-intel_unsupported_format = piglit a5bacd146324586685a71a256f91463ed4a4bbc8
piglit.spec.glsl-1_50.compiler.gs-input-nonarray-named-block-containing-array.geom = mesa 98d40b4d1195ebfaa2fd9ed43755ca6896422c1a
piglit.spec.glsl-1_50.compiler.gs-input-nonarray-named-block.geom = mesa 98d40b4d1195ebfaa2fd9ed43755ca6896422c1a
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgrad 1d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgradoffset 2d_projvec4 = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgrad 3d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.tex-miplevel-selection *projgradarb 2d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegradoffset 2darray = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_50.compiler.gs-redeclares-pervertex-in-as-nonarray.geom = mesa 98d40b4d1195ebfaa2fd9ed43755ca6896422c1a
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgradoffset 1d_projvec4 = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgrad 1d_projvec4 = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegrad 2d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgradoffset 1d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegrad 2darray = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegrad 3d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgradoffset 3d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegradoffset 1d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegradoffset 3d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.tex-miplevel-selection *projgradarb 2d_projvec4 = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.arb_shader_texture_lod-texgrad = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.tex-miplevel-selection *projgradarb 3d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgrad 2d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.fs-texturegrad-miplevels = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.tex-miplevel-selection *projgradarb 1d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegrad 1d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgrad 2d_projvec4 = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.tex-miplevel-selection *gradarb 2d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegradoffset 1darray = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.glsl-fs-shadow2dgradarb-cumulative = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.tex-miplevel-selection *gradarb 1d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.tex-miplevel-selection *gradarb 3d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegrad 1darray = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegradoffset 2d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.glsl-fs-shadow2dgradarb-07 = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.arb_shader_texture_lod.execution.tex-miplevel-selection *projgradarb 1d_projvec4 = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgradoffset 2d = mesa 4fe4f6e8a776acc60633809693e4135f5c894aa3
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_nv12 = mesa 037ce5d
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_yuv420 = mesa 037ce5d
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_yvu420 = mesa 037ce5d
piglit.spec.oes_fixed_point.attribute-arrays = mesa 771f6db
piglit.spec.egl 1_4.largest possible eglcreatepbuffersurface and then glclear = mesa 9fea9d6
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 1 8 8 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 42 1 8 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 42 1 8 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 1 8 8 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 1 1 8 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 42 8 8 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 42 8 8 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 1 1 128 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 1 1 8 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 1 8 128 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 1 1 8 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 1 1 8 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 42 8 64 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 42 1 8 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 1 8 64 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 42 1 128 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 42 1 128 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 1 8 8 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 1 1 64 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 42 1 64 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 42 1 128 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 42 1 8 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 1 1 128 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 42 8 8 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 42 8 8 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 1 8 128 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 1 8 128 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 42 1 128 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 1 1 128 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 1 8 8 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 42 1 64 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 1 1 128 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 1 8 128 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 42 8 128 3 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 42 8 64 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 1 1 64 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 42 8 128 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 512 1 8 64 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 42 8 128 4 = piglit dcd5632
piglit.spec.arb_texture_barrier.arb_texture_barrier-blending-in-shader 32 42 8 128 3 = piglit dcd5632
piglit.spec.arb_enhanced_layouts.explicit-offset-bufferstorage = mesa 4ba9bd138a48bd61cbc24d546afef0986f2fd05a
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegradoffset 2drectshadow = mesa b33bccb
piglit.spec.glsl-1_30.execution.tex-miplevel-selection texturegradoffset 2drect = mesa b33bccb
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgradoffset 2drect = mesa b33bccb
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgradoffset 2drect_projvec4 = mesa b33bccb
piglit.spec.glsl-1_30.execution.tex-miplevel-selection textureprojgradoffset 2drectshadow = mesa b33bccb
piglit.spec.amd_vertex_shader_layer.preprocessor.disabled-defined-compat.vert = mesa e483cb9
piglit.spec.amd_vertex_shader_layer.preprocessor.disabled-undefined-compat.vert = mesa e483cb9
piglit.spec.amd_vertex_shader_layer.preprocessor.disabled-defined-compat.frag = mesa e483cb9
piglit.spec.amd_vertex_shader_layer.preprocessor.disabled-undefined-compat.frag = mesa e483cb9
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_argb8888 = piglit 6039500
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_xrgb8888 = piglit 6039500
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-ownership_transfer = mesa 9ee683f
piglit.spec.arb_framebuffer_srgb.blit texture srgb_to_linear scaled enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit renderbuffer linear_to_srgb downsample enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit texture linear_to_srgb downsample enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy 4 srgb small depthstencil linear = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit renderbuffer linear_to_srgb upsample enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy all_samples srgb small depthstencil linear = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy all_samples srgb linear = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit texture linear_to_srgb single_sampled enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit renderbuffer srgb_to_linear msaa enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy 4 srgb = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy 4 srgb small = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit texture srgb_to_linear downsample enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit texture linear_to_srgb upsample enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit renderbuffer srgb_to_linear scaled enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy 4 srgb depthstencil = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy 4 srgb small depthstencil = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit renderbuffer srgb_to_linear upsample enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit renderbuffer linear_to_srgb msaa enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy all_samples srgb depthstencil linear = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy all_samples srgb small depthstencil = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit renderbuffer linear_to_srgb scaled enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy all_samples srgb small = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit renderbuffer linear_to_srgb single_sampled enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit texture srgb_to_linear upsample enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy all_samples srgb depthstencil = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy 4 srgb linear = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy all_samples srgb small linear = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit texture srgb_to_linear msaa enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit renderbuffer srgb_to_linear single_sampled enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy all_samples srgb = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit texture linear_to_srgb msaa enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit texture linear_to_srgb scaled enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit renderbuffer srgb_to_linear downsample enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy 4 srgb depthstencil linear = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.arb_framebuffer_srgb.blit texture srgb_to_linear single_sampled enabled = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.ext_framebuffer_multisample.accuracy 4 srgb small linear = piglit 892f6e44723eda8d4f98ca8850f0fefee3e0f638 mesa 3190c7ee9727161d627f107c2e7f8ec3a11941c1
piglit.spec.glsl-1_30.compiler.switch-statement.switch-case-duplicated.vert = mesa 0abebec01246cb55dba76330a759e14424dae169
piglit.spec.arb_copy_image.arb_copy_image-formats --samples.8 = piglit 09459ca
piglit.spec.arb_draw_indirect.arb_draw_indirect-draw-arrays-shared-binding = piglit 09459ca
piglit.spec.egl_khr_gl_colorspace.srgb = piglit 09459ca
piglit.spec.arb_viewport_array.render-viewport-2 = piglit 09459ca
piglit.spec.arb_texture_buffer_object.max-size = mesa af8ad495415e9d71fd6255114d4ea5e0ab6a1e2a post-11.2
piglit.spec.glsl-1_10.execution.vs-loop-zero-iterations-two-exits2 = piglit ad38b44dd01588ce3e6ce6592f65f45654502820
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-refcount = drm fe4579e263c8da19f790cc5c5430e12d9b1687b5
piglit.shaders.out-parameter-indexing.vs-inout-index-inout-vec4-array-element = mesa 1ef505bb02b00a577c33e1af27d983abd14465e7
piglit.shaders.out-parameter-indexing.vs-inout-index-inout-float-array = mesa 1ef505bb02b00a577c33e1af27d983abd14465e7
piglit.shaders.out-parameter-indexing.vs-inout-index-inout-vec4 = mesa 1ef505bb02b00a577c33e1af27d983abd14465e7
piglit.shaders.out-parameter-indexing.vs-inout-index-inout-vec4-array = mesa 1ef505bb02b00a577c33e1af27d983abd14465e7
piglit.shaders.out-parameter-indexing.vs-inout-index-inout-mat2-row = mesa 1ef505bb02b00a577c33e1af27d983abd14465e7
piglit.shaders.out-parameter-indexing.vs-inout-index-inout-mat2-col = mesa 1ef505bb02b00a577c33e1af27d983abd14465e7
piglit.spec.glsl-1_10.compiler.version-0_frag = mesa c8c46641af43edd106528ac0293db5aa02a2364e
piglit.spec.glsl-es-3_00.compiler.version-0_vert = mesa c8c46641af43edd106528ac0293db5aa02a2364e
piglit.spec.glsl-es-3_00.compiler.version-0_frag = mesa c8c46641af43edd106528ac0293db5aa02a2364e
piglit.spec.glsl-1_10.compiler.version-0_vert = mesa c8c46641af43edd106528ac0293db5aa02a2364e
piglit.spec.arb_framebuffer_object.same-attachment-glframebuffertexture2d-gl_depth_stencil_attachment = mesa 63318d34acd4a5edb271d57adf3b01e2e52552f8
piglit.spec.glsl-1_50.execution.geometry.clip-distance-vs-gs-out-sso = mesa ec1f159ac81ed964415d102eed4a0a29be8e7937
piglit.spec.glsl-1_50.execution.geometry.clip-distance-vs-gs-out = mesa 05a4e3a0096a8a3ed277bbcf5b0b1393b5e6e494
piglit.spec.arb_program_interface_query.arb_program_interface_query-resource-query = mesa 4c4d9e4f032d5753034361ee70aa88d16d3a04b4
piglit.shaders.glsl-fs-multiple-builtins = mesa 62b8bcda1cb7ad18acee7042d40c01b56385e124
piglit.spec.!opengl 3_1.vao-broken-attrib = mesa c32a9ec5f5bd74ae03b84be4c51d8d174ddf3e17
piglit.spec.amd_performance_monitor.measure = mesa 96c9ec9c274d54c5acf0d705e59188fc70b83bec
piglit.spec.glsl-1_10.execution.vs-nested-return-sibling-loop2 = mesa a4d6f4d954d8539c3effbbc3af7f74e9dae32e2c
piglit.spec.glsl-1_10.execution.vs-nested-return-sibling-loop = mesa a4d6f4d954d8539c3effbbc3af7f74e9dae32e2c
piglit.spec.ext_framebuffer_object.getteximage-formats init-by-clear-and-render = piglit be6e9a47c9c74bd508d2b8e193dadc3b6ee387bd
piglit.spec.ext_framebuffer_object.getteximage-formats init-by-rendering = piglit be6e9a47c9c74bd508d2b8e193dadc3b6ee387bd
piglit.spec.arb_transform_feedback2.change objects while paused (gles3) = mesa 0235757422d825c37ca2d2c3feb9e58a28deedd4
piglit.spec.arb_shader_subroutine.compiler.direct-call_vert = mesa 9fc86d4f53a66a147f38f54b09629372bd085658
piglit.spec.arb_get_texture_sub_image.arb_get_texture_sub_image-cubemap = mesa 4317cd96d3022ad0ef7e1d5ffa82f5c2693bb44e
piglit.spec.arb_get_texture_sub_image.arb_get_texture_sub_image-get = mesa 4317cd96d3022ad0ef7e1d5ffa82f5c2693bb44e
piglit.spec.arb_shading_language_420pack.linker.different-bindings-uniform-blocks-instanced = mesa 6255cc654d372352f060da8f9622bae56d6e8af5
piglit.spec.!opengl 1_4.gl-1_4-multidrawarrays-errors = mesa 51deba0eb35d0d27560bb7dad24b8d39abb58be6
piglit.object namespace pollution.vertex-array with glgetteximage = mesa 2895d96a057b91214b7fe9919fb665faab59b849
piglit.object namespace pollution.vertex-array with gltexsubimage2d = mesa 2895d96a057b91214b7fe9919fb665faab59b849
piglit.object namespace pollution.vertex-array with glbitmap = mesa 2895d96a057b91214b7fe9919fb665faab59b849
piglit.object namespace pollution.vertex-array with glgeneratemipmap = mesa 2895d96a057b91214b7fe9919fb665faab59b849
piglit.object namespace pollution.vertex-array with glcopypixels = mesa 2895d96a057b91214b7fe9919fb665faab59b849
piglit.object namespace pollution.vertex-array with gldrawpixels = mesa 2895d96a057b91214b7fe9919fb665faab59b849
piglit.object namespace pollution.vertex-array with glgetteximage-compressed = mesa 2895d96a057b91214b7fe9919fb665faab59b849
piglit.spec.!opengl 1_0.gl-1_0-simple-readbuffer = piglit 1bfa547aff43743122847abeb60dbe04a2cdb045
piglit.spec.arb_framebuffer_srgb.arb_framebuffer_srgb-srgb_conformance = piglit 860830f48e5c03ceed564bf306933e290a5377a1
piglit.spec.ext_texture_compression_s3tc.s3tc-targeted = mesa 688ddb85c8c3357d8e1e9d360c74cd728b128d98
piglit.shaders.glsl-const-builtin-distance = piglit 9cc5b2169ab6eb8a6a09329836d8d884d4350eec
piglit.spec.ext_framebuffer_multisample.alpha-to-one-dual-src-blend 2 = mesa 09c3a00f10861269f2187b5033f754b770a09b16
piglit.spec.ext_framebuffer_multisample.alpha-to-one-dual-src-blend 4 = mesa 09c3a00f10861269f2187b5033f754b770a09b16
piglit.spec.arb_framebuffer_object.fbo-blit-stretch = mesa 1b101ca809debb9b730d99b92e8f0153f08aeb57
piglit.spec.egl 1_4.egl-invalid-attr = mesa 3ee2be4113d9de7429bfaeaee73c11880fd9d5c9
piglit.spec.arb_provoking_vertex.arb-quads-follow-provoking-vertex = piglit eda25a4a2229f5d2f32deea206a1bf9191043ec6
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-invalid_hints = mesa 644ac2b780366582fe1fee9a677b1f6a508e65dc
piglit.spec.arb_shader_group_vote.vs-eq-uniform = mesa 30d6bc470a1a75ead8afa08a90ad96a50331f1cd
piglit.spec.arb_direct_state_access.gettextureimage-targets = piglit abec9d84269353f34d8a2b8e91307621beb94e88
piglit.spec.arb_direct_state_access.getcompressedtextureimage = piglit abec9d84269353f34d8a2b8e91307621beb94e88
piglit.spec.glsl-1_50.compiler.vs-redeclares-pervertex-out-before-global-redeclaration_vert = mesa 98141366f907ee35c8436eee8fd2d6fa56759bf8
piglit.spec.glsl-1_50.compiler.gs-redeclares-pervertex-out-before-global-redeclaration_geom = mesa 98141366f907ee35c8436eee8fd2d6fa56759bf8
piglit.spec.arb_enhanced_layouts.linker.component-layout.fs-out-overlap = mesa df8767a14e3eae4dcb8241b731b34e9379706795
piglit.spec.arb_enhanced_layouts.linker.component-layout.fs-out-type-mismatch-array = mesa df8767a14e3eae4dcb8241b731b34e9379706795
piglit.spec.arb_enhanced_layouts.linker.component-layout.fs-out-type-mismatch = mesa df8767a14e3eae4dcb8241b731b34e9379706795
piglit.spec.arb_enhanced_layouts.linker.component-layout.fs-out-overlap-array = mesa df8767a14e3eae4dcb8241b731b34e9379706795
piglit.spec.arb_enhanced_layouts.linker.component-layout.fs-out-overlap3 = mesa df8767a14e3eae4dcb8241b731b34e9379706795
piglit.spec.arb_enhanced_layouts.linker.component-layout.fs-out-overlap2 = mesa df8767a14e3eae4dcb8241b731b34e9379706795
piglit.spec.!opengl 3_0.bindfragdata-link-error = mesa df8767a14e3eae4dcb8241b731b34e9379706795
piglit.spec.arb_enhanced_layouts.linker.component-layout.fs-out-overlap4 = mesa df8767a14e3eae4dcb8241b731b34e9379706795
piglit.spec.arb_sample_shading.samplemask 32 all = piglit d9d5dd788094d90ca4b927ba956fd273816f69ec
piglit.spec.arb_sample_shading.samplemask 0 all = piglit d9d5dd788094d90ca4b927ba956fd273816f69ec
piglit.spec.arb_sample_shading.samplemask 8 all = piglit d9d5dd788094d90ca4b927ba956fd273816f69ec
piglit.spec.arb_sample_shading.samplemask 2 all = piglit d9d5dd788094d90ca4b927ba956fd273816f69ec
piglit.spec.arb_sample_shading.samplemask 4 all = piglit d9d5dd788094d90ca4b927ba956fd273816f69ec
piglit.spec.arb_sample_shading.samplemask 16 all = piglit d9d5dd788094d90ca4b927ba956fd273816f69ec
piglit.spec.arb_sample_shading.samplemask 6 all = piglit d9d5dd788094d90ca4b927ba956fd273816f69ec
piglit.spec.arb_separate_shader_objects.execution.layout-location-named-block = mesa 13652e7516a3ef75c5ae75ffa5c7f048629bf772
piglit.spec.arb_texture_buffer_range.ranges-2 compat = piglit c85e63199e81bac38ccee060883e64f107f571e3
piglit.glslparsertest.glsl2.fdo100438_frag = mesa f09c2cefdd53cd61562a994294e9d0630868d2da
piglit.spec.glsl-1_10.execution.glsl-1_10-built-in-uniform-state = mesa 9bdb5457f4ecabd59e05d0b6cea1ff88bcb49d7f
piglit.spec.glsl-1_10.execution.glsl-1_10-built-in-matrix-state = mesa 9bdb5457f4ecabd59e05d0b6cea1ff88bcb49d7f
piglit.shaders.glsl-vs-normalscale = mesa 9bdb5457f4ecabd59e05d0b6cea1ff88bcb49d7f
piglit.object namespace pollution.texture with gldrawpixels = mesa bd32d4d0671777d9b7d6e3a592abb67563a8063c
piglit.object namespace pollution.texture with glcopypixels = mesa bd32d4d0671777d9b7d6e3a592abb67563a8063c
piglit.object namespace pollution.texture with glbitmap = mesa bd32d4d0671777d9b7d6e3a592abb67563a8063c
piglit.spec.arb_internalformat_query2.samples and num_sample_counts pname checks = piglit 5f11fdff7b329eb5712eed98f783a6164410336f
piglit.spec.arb_arrays_of_arrays.execution.ubo.fs-const-explicit-binding = mesa 37a8d907cc167279f44e2e15f980cd93869a51f9
piglit.spec.!opengl 1_1.degenerate-prims = piglit 4210d072f1a40fe06c6ca46e985871a384cca514
piglit.spec.arb_get_texture_sub_image.arb_get_texture_sub_image-errors = mesa b37b35a5d265adde971265f4e594298a172d0d45
piglit.spec.arb_shader_draw_parameters.vertexid-zerobased = mesa 3a1df14a7b5c1652aa72eb6cf43e69ab447c6273
piglit.spec.arb_shader_draw_parameters.basevertex-baseinstance = mesa 3a1df14a7b5c1652aa72eb6cf43e69ab447c6273
piglit.spec.arb_shader_draw_parameters.basevertex = mesa 3a1df14a7b5c1652aa72eb6cf43e69ab447c6273
piglit.spec.arb_shader_draw_parameters.baseinstance = mesa 3a1df14a7b5c1652aa72eb6cf43e69ab447c6273
piglit.spec.glsl-1_40-compat.execution.built-in-constants = mesa 9a21c96126d6a13e7b472ec622c517c0d0285ba8
piglit.spec.!opengl 1_4.copy-pixels = mesa 7fd962093f71d83ffc74962a8f7572b493d9030f
piglit.shaders.glsl-fs-vec4-indexing-8 = mesa cbe4baed1f63db697500db069756750afc9e7609
piglit.spec.glsl-1_50.execution.geometry.primitive-id-restart gl_triangle_strip_adjacency ffs = mesa_ci 41ac7efa7f6e904448f30f874b10858c57603083
piglit.spec.arb_internalformat_query2.all internalformat_<x>_size pname checks = mesa c2c803be7bfb857b6846390d2aae7523319ac58e
piglit.spec.arb_internalformat_query2.max dimensions related pname checks = mesa c2c803be7bfb857b6846390d2aae7523319ac58e
piglit.spec.glsl-4_60.compiler.extra-semilons-at-global-scope_frag = mesa c2c803be7bfb857b6846390d2aae7523319ac58e
piglit.spec.arb_internalformat_query2.all internalformat_<x>_type pname checks = mesa c2c803be7bfb857b6846390d2aae7523319ac58e
piglit.spec.glsl-1_10.execution.vs-loop-simple-unroll-induction-variable-inside-if-branch = mesa 463f849097193ad20e7622ddd740fd15b96f4277
piglit.spec.glsl-1_10.execution.fs-sign-sat-neg-abs = mesa f8e54d02f79057f679302c06847066edc3ae7aa7
piglit.spec.glsl-1_10.execution.fs-sign-neg-abs = mesa f8e54d02f79057f679302c06847066edc3ae7aa7
piglit.spec.glsl-1_10.execution.vs-sign-sat-neg-abs = mesa f8e54d02f79057f679302c06847066edc3ae7aa7
piglit.spec.glsl-1_10.execution.vs-sign-neg-abs = mesa f8e54d02f79057f679302c06847066edc3ae7aa7
piglit.spec.intel_conservative_rasterization.intel_conservative_rasterization-invalid_gles3 = piglit be394ac3fd30ad575dc3fda5854b606128f1275c
piglit.spec.glsl-1_20.execution.qualifiers.vs-out-conversion-int-to-float-vec4-index = mesa bea4722c2e387162d677eb8fff726be44d720cdb
piglit.spec.glsl-1_50.linker.interstage-multiple-shader-objects = mesa 4a8444d5bc865119218eca8674e5614535f4829e
piglit.spec.glsl-1_10.preprocessor.if-statement-in-macro-in-false-ifdef_vert = mesa b9fe8ff23dcfe4956be1eac4de0838d4a3720315
piglit.spec.glsl-es-1_00.linker.glsl-fface-invariant = mesa 9b5c0c520f6e41f19b3568a4e0532c836bc522e4
piglit.spec.glsl-es-1_00.linker.glsl-fcoord-invariant = mesa 9b5c0c520f6e41f19b3568a4e0532c836bc522e4
piglit.spec.glsl-es-1_00.linker.glsl-pcoord-invariant = mesa 9b5c0c520f6e41f19b3568a4e0532c836bc522e4
piglit.shaders.glsl-fs-absolutedifference-int = piglit 975fd8853a71db461e9e4e50eb592402df6bcc67
piglit.spec.glsl-1_20.execution.fs-deref-literal-array-of-structs-with-multiple-members-large-array = piglit 743a65f82e6fe5bb097d0af92e046b4f08821e9e
piglit.spec.arb_shader_subroutine.linker.no-overloads_vert = mesa 5f0567a4f60c6671d4e2a942ab3f3248dbbd6997
piglit.spec.glsl-1_10.execution.swizzled-writemask-indexing-nonconst = mesa 1bb1c03d618a9636563cf4dcf067876e50ba0d81
piglit.spec.glsl-1_10.execution.swizzled-writemask-indexing = mesa 1bb1c03d618a9636563cf4dcf067876e50ba0d81
piglit.spec.arb_depth_buffer_float.fbo-depth-gl_depth_component32f-copypixels = mesa b18f8e63ef79b5098cb32de1670983ad1e6892fe
piglit.spec.arb_fragment_program.fp-fragment-position = mesa 18cc65edf8480bc83685b3665c8c5268b1da79e6
piglit.spec.arb_fragment_program.trinity-fp1 = mesa 18cc65edf8480bc83685b3665c8c5268b1da79e6
piglit.spec.egl_ext_device_enumeration.conformance = mesa 68dc591af16ebb36814e4c187e4998948103c99c
piglit.spec.glsl-1_30.compiler.redeclarations.gl_clipdistance-as-uniform_frag = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_30.compiler.clipping.clip-distance-redeclare-without-inout_frag = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_10.compiler.redeclarations.gl_texcoord-as-uniform_frag = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_30.compiler.redeclarations.gl_clipdistance-as-uniform_vert = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_10.compiler.redeclarations.gl_texcoord-as-global_vert = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_30.compiler.clipping.clip-distance-redeclare-without-inout_vert = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_30.compiler.redeclarations.gl_clipdistance-as-out_frag = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_30.compiler.redeclarations.gl_clipdistance-as-global_frag = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_50.compiler.redeclarations.gl_clipdistance-as-uniform_geom = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_50.compiler.redeclarations.gl_clipdistance-as-global_geom = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_10.compiler.redeclarations.gl_texcoord-as-uniform_vert = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_30.compiler.redeclarations.gl_clipdistance-as-global_vert = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.glsl-1_10.compiler.redeclarations.gl_texcoord-as-global_frag = mesa 425c133ab9bfdc937a12352b09c957c75d2cf92a
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_ayuv = piglit f25ff58c6efe4989b7ca0170afab58fea3c16e2e
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-invalid_attributes = piglit c79d8d223c266f113dce194dd0d929f46a9a3dea
piglit.spec.oes_packed_depth_stencil.depth_stencil texture gles1 = mesa 19eb0bf28fa1d6742bfb9d7b920fe5ce5254e251
piglit.spec.glsl-1_20.execution.out-parameter-indexing.fs-inout-index-two-level = mesa 0862929bf64222e85e8242824aecf05e494c157c
piglit.spec.glsl-es-1_00.compiler.invariant_frag = mesa a2db6b4254462c62fe60dcc62645da6901986690
piglit.spec.glsl-es-3_00.compiler.invariant_frag = mesa a2db6b4254462c62fe60dcc62645da6901986690
piglit.spec.arb_enhanced_layouts.compiler.explicit-offsets.ubo-explicit-offset-vec3_vert = mesa d9bd3b1cb874c44e4250c28605031ddf1c520cd1
piglit.spec.!opengl 1_1.tex-upside-down-miptree = mesa 2b7d5c32178d93695a8a7a9bf6509933ab7c1002
piglit.shaders.glsl-bug-109601 = piglit c36feae19ab413aae7ef3c09248e9764e7d93855
piglit.spec.nv_primitive_restart.primitive-restart-vbo_index_only = mesa f4f4ec941e1427142656e588244f378e469e996e
piglit.spec.nv_primitive_restart.primitive-restart-disable_vbo = mesa f4f4ec941e1427142656e588244f378e469e996e
piglit.spec.nv_primitive_restart.primitive-restart-vbo_vertex_only = mesa f4f4ec941e1427142656e588244f378e469e996e
piglit.spec.nv_primitive_restart.primitive-restart-vbo_combined_vertex_and_index = mesa f4f4ec941e1427142656e588244f378e469e996e
piglit.spec.nv_primitive_restart.primitive-restart-vbo_separate_vertex_and_index = mesa f4f4ec941e1427142656e588244f378e469e996e
piglit.spec.arb_cull_distance.basic-cull-4 = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
piglit.spec.arb_cull_distance.basic-cull-2 = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
piglit.spec.arb_cull_distance.basic-cull-3 = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
piglit.spec.arb_cull_distance.basic-cull-1 = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
piglit.spec.arb_cull_distance.vs-cull-distance-vertex-inside-cull-volume = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
piglit.spec.arb_cull_distance.vs-cull-distance-vertex-outside-cull-volume = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
piglit.spec.arb_cull_distance.fs-cull-distance-interpolated = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
piglit.spec.arb_cull_distance.vs-cull-distance-vertex-on-plane = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
piglit.spec.!opengl 3_0.viewport-clamp = mesa 4122665dd90dc8997840194094bbd8cbefd7a4c3
piglit.spec.egl_khr_gl_image.egl_khr_gl_renderbuffer_image-clear-shared-image gl_depth_component24 = bug 99265
piglit.spec.glsl-1_20.linker.invariant-position = mesa ea9bde151f1394ff82b73d028c2a3a747723e525
piglit.spec.arb_sample_shading.arb_sample_shading-builtin-gl-sample-mask-mrt-alpha = mesa c8abe03f3b65505d2c1c165d88efb3bb62e06db1
piglit.spec.arb_separate_shader_objects.execution.layout-location-struct = mesa a7d40a13ec39df5c1e18c2afaf70988958c11933
piglit.spec.arb_enhanced_layouts.compiler.transform-feedback-layout-qualifiers.xfb_offset.invalid-overlap_vert = mesa c81fbb42d94293e78e9c767bb00ad22855f9e0b0
piglit.spec.arb_get_program_binary.program_binary_retrievable_hint = mesa 62ed82ea1a93e4fb9676a1edd9447b26cdd4f173
piglit.spec.egl 1_4.eglcreatesurface = mesa 73055ae1c9f481e439ae2c91bd23652d91b4b42a
piglit.spec.egl_khr_gl_colorspace.linear = mesa a379b1c0ee31a792bba250cc466ad4b161a610ec
piglit.spec.egl 1_4.eglcreatepbuffersurface and then glclear = mesa a379b1c0ee31a792bba250cc466ad4b161a610ec
piglit.spec.ext_texture_compression_rgtc.fbo-generatemipmap-formats = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.ext_texture_compression_rgtc.fbo-generatemipmap-formats-signed = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.arb_texture_compression.fbo-generatemipmap-formats = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.ext_texture_srgb.fbo-generatemipmap-formats-s3tc = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.ext_texture_compression_s3tc.fbo-generatemipmap-formats = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.3dfx_texture_compression_fxt1.fbo-generatemipmap-formats = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.glsl-1_20.execution.variable-indexing.vs-temp-array-mat4-index-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.fs-temp-array-mat4-index-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-index-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-index-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple mat4x2 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple mat4 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple mat2x4 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.fs-temp-array-mat4-index-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.fs-temp-array-mat4-index-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple vec4 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_50.execution.variable-indexing.vs-output-array-float-index-wr-before-gs = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple int arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_50.execution.variable-indexing.gs-input-array-float-index-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.fs-temp-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.arb_arrays_of_arrays.linker.vs-to-gs = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_50.execution.vs-gs-arrays-within-blocks-pass = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple uvec2 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple uint arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.arb_arrays_of_arrays.linker.vs-to-gs-explicit-location = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-temp-array-mat4-index-col-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-temp-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-temp-array-mat4-index-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple mat2x3 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple mat3x2 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.fs-temp-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-index-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_50.execution.geometry.max-input-components = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.fs-temp-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.arb_arrays_of_arrays.linker.vs-to-fs-interface = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple ivec3 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-temp-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-col-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-temp-array-mat4-index-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-col-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-temp-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_50.transform-feedback-type-and-size = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple vec3 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-index-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-temp-array-mat4-index-col-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.fs-temp-array-mat4-index-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_50.execution.variable-indexing.gs-input-array-vec3-index-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple ivec4 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_50.execution.variable-indexing.vs-output-array-vec3-index-wr-before-gs = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple mat2 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-index-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-temp-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-index-col-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-temp-array-mat4-index-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-index-col-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.fs-temp-array-mat4-index-col-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple mat4x3 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple float arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-temp-array-mat4-index-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple ivec2 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.arb_arrays_of_arrays.linker.vs-to-fs-interface-field-unsized = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-index-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-index-col-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-index-col-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-col-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.fs-temp-array-mat4-index-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple uvec4 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-index-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.fs-temp-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple mat3 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.ext_transform_feedback.max-varyings = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.arb_arrays_of_arrays.compiler.assignment-1d-to-3d_vert = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-col-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-temp-array-mat4-index-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple vec2 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple mat3x4 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.varying-packing.simple uvec3 arrays_of_arrays = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.fs-temp-array-mat4-index-col-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-index-row-rd = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.fs-temp-array-mat4-index-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_50.execution.variable-indexing.vs-output-array-vec2-index-wr-before-gs = mesa f41516bdb5720082702d8cb02f134d4da3f3a78c
piglit.spec.glsl-1_50.execution.varying-struct-basic-vs-gs = mesa f41516bdb5720082702d8cb02f134d4da3f3a78c
piglit.spec.glsl-1_50.execution.variable-indexing.gs-input-array-vec2-index-rd = mesa f41516bdb5720082702d8cb02f134d4da3f3a78c
piglit.spec.oes_compressed_etc1_rgb8_texture.basic = mesa 6c904773fe31731929ad46ea19a58deedfc1c1c7
piglit.spec.ext_texture_compression_s3tc.s3tc-errors = mesa 6c904773fe31731929ad46ea19a58deedfc1c1c7
piglit.spec.ext_disjoint_timer_query.simple = mesa 7a893a0d5734adefd6e7e88efb07e60d01c44cdf
piglit.spec.ext_texture_format_bgra8888.api-errors = piglit c248bf2013d8223f7b7867cf38d5247b8b9e2005
piglit.spec.arb_separate_shader_objects.linker.pervertex-clipdistance-vs-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-pointsize-vs-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-culldistance-vs-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-position-vs-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_shading_language_include.compile.path_not_in_directive_frag = mesa 1305b932747ff4f8ab0253b12dc979dcbfd6777b
piglit.spec.glsl-1_10.compiler.literals.invalid-string_vert = mesa 1305b932747ff4f8ab0253b12dc979dcbfd6777b
piglit.spec.glsl-1_10.execution.glsl-fs-loop-while-false-03 = piglit d1bc2aed4f1e73f92c5f435beb06c24b3fab1368
piglit.spec.arb_shader_group_vote.vs-all-uniform = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_shader_group_vote.vs-any-const = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_shader_group_vote.vs-any-uniform = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.ext_demote_to_helper_invocation.compiler.is_helper_invocation_builtin_frag = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_shader_group_vote.vs-all-const = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_arrays_of_arrays.compiler.gs-input-sizing-implied-length-consistent-with-prev-usage-blocks_geom = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_20.compiler.structure-and-array-operations.array-redeclaration-01_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.arb_arrays_of_arrays.compiler.redeclaration_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.arb_arrays_of_arrays.compiler.gs-input-sizing-implied-length-consistent-with-prev-usage_geom = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_50.compiler.gs-input-sizing-implied-length-consistent-with-prev-usage_geom = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_20.compiler.structure-and-array-operations.array-resize-after-access-big-enough_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_50.compiler.gs-input-sizing-implied-length-consistent-with-prev-usage-blocks_geom = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.arb_arrays_of_arrays.compiler.redeclaration2_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.arb_arrays_of_arrays.compiler.redeclaration-initializer_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_20.compiler.structure-and-array-operations.array-redeclaration-initializer_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.glslparsertest.shaders.correctunsizedarray_frag = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_10.execution.cmod-cmp-to-add-e = mesa 36abb0c6918c89bdd5a155df21dbd7b4ee0a9dde
piglit.spec.glsl-1_10.execution.cmod-cmp-to-add-ge = mesa 36abb0c6918c89bdd5a155df21dbd7b4ee0a9dde
piglit.spec.glsl-1_10.execution.cmod-cmp-to-add-ne = mesa 36abb0c6918c89bdd5a155df21dbd7b4ee0a9dde
piglit.spec.glsl-1_10.execution.cmod-cmp-to-add-l = mesa 36abb0c6918c89bdd5a155df21dbd7b4ee0a9dde
piglit.spec.arb_direct_state_access.texture-errors = mesa 485ea7d711fc2bbbdd83e2670121cb16ae42f7f7
piglit.spec.arb_sample_shading.arb_sample_shading-builtin-gl-sample-mask-mrt-alpha-to-coverage-combinations = mesa f611af35948e4d1d56daa94f59d5feb7d44d24ce
piglit.spec.glsl-1_50.gs-max-output = mesa f611af35948e4d1d56daa94f59d5feb7d44d24ce
piglit.spec.glsl-1_20.execution.matrix-out-of-bounds-access.fs-mat4-out-of-bounds-5 = mesa 16f1d8b3910
piglit.spec.glsl-1_20.execution.matrix-out-of-bounds-access.fs-mat4-out-of-bounds-2 = mesa 16f1d8b3910
piglit.spec.glsl-1_20.execution.matrix-out-of-bounds-access.fs-mat4-out-of-bounds-4 = mesa 16f1d8b3910
piglit.spec.glsl-1_20.execution.vector-out-of-bounds-access.fs-vec4-out-of-bounds-1 = mesa e802bff69ee74983215d0c2b7e213fca6d68a97d
piglit.spec.glsl-1_20.execution.vector-out-of-bounds-access.fs-vec4-out-of-bounds-6 = mesa e802bff69ee74983215d0c2b7e213fca6d68a97d
piglit.spec.glsl-1_20.execution.vector-out-of-bounds-access.fs-vec4-out-of-bounds-4 = mesa e802bff69ee74983215d0c2b7e213fca6d68a97d
piglit.spec.glsl-1_20.execution.vector-out-of-bounds-access.fs-vec4-out-of-bounds-5 = mesa e802bff69ee74983215d0c2b7e213fca6d68a97d
piglit.spec.glsl-1_20.execution.vector-out-of-bounds-access.fs-vec4-out-of-bounds-2 = mesa e802bff69ee74983215d0c2b7e213fca6d68a97d

